/* (c) https://github.com/MontiCore/monticore */
h1 { }
a { color:skyblue; text-decoration:none }
canvas { pointer-events:auto; z-index:10; position:relative; }

input[type="file"] {
    visibility: hidden;
    width: 1px;
}

#d { position:absolute; width: 100%; text-align:center; margin:1em 0 -4.5em 0; z-index:1000; }

.bwrap { margin:0.5em 0 0 0 }
button { font-family:georgia; border:0; background:#000; color:#fff; padding:0.2em 0.5em; cursor:pointer; border-radius:3px; }
button:hover { background:#333 }
#buttons_cars button { color:#fa0; }

#car_info { text-align:center; }
#car_name { font-size:1em }
#car_author { font-size:1em }

#oldie { background:rgb(50,0,0) !important; color:#fff !important; margin-top:7em!important }

.infoBox {
    height: 100%;
    width: 0;
    position: absolute;
    z-index: 99;
    top: 0;
    right: 0;
    background-color: #2c2d33;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

.infoBox a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
}

.infoBox .closebtn {
    position: absolute;
    top: 0;
    left: 2px;
    font-size: 36px;
    margin-right: 120px;
}

.icon {
  position: absolute;
  bottom: 15%;
  width: 30px;
  height: 30px;
  display: inline-block;
  transform: translate(-48%, 0px);
  cursor: pointer;

}

.errorwrapper {
  transform: translate(-50%, 0px);
  position: absolute;
  top: 10%;
  width: 200px;
  height: 80px;
  text-align: center;
}

.errInfo {
  display: inline-block;
  position: absolute;
  text-align: center;
  width: 200px;
  top: 0px;
  transform: translate(-48%, 0px);
  visibility: hidden;
  border: 1px solid white;
  background-color: rgba(0, 0, 0, 0.7);

}


p {
    padding-left: .5em;
    max-width: 35em;


    text-decoration: none;



    border-left: 1px solid #393942;
    border-right: 1px solid #4f5058;

    font-family: Helvetica, Arial, sans-serif;
    font-size: 20px;

    color: #f3f3f3;
    text-shadow: 1px 1px 1px rgba(0,0,0,.6);

    -webkit-transition: color .2s ease-in-out;
    -moz-transition: color .2s ease-in-out;
    -o-transition: color .2s ease-in-out;
    -ms-transition: color .2s ease-in-out;
    transition: color .2s ease-in-out;


}


details {
    margin-bottom: 1em;
}

summary {
    padding-left: .5em;
    font-size: 25px;
    color: #818181;
    font-family: Helvetica, Arial, sans-serif;
    font-weight: bold;

}

.mygauge {
    padding: 0;
    margin: auto;
    display: block;

}

.lbl {
    color:#fff;
    font-size:14px;
    font-weight:bold;
    position: absolute;
    z-index:100;
    text-shadow:#000 1px 1px 1px;
    background-color:rgba(0,0,0,0.85);
    padding:1em;
    text-align:left;
    bottom:0px;
    right:0px;
    
    opacity: 0.0001;
    transition: opacity .5s;
}
.lbl:hover { opacity: 1; }



#footer {
position: fixed;
bottom: 0;
width: 100%;
}
#stacked {
    display:block;
    margin: auto;
}
#Up {
    margin-bottom: 30px;
    font-size: 40px;
    border-radius: 10px;
    border-color: grey;
    border: 2px solid #73AD21;
    background-color: grey;
}
#Down {
    font-size: 40px;
    border-radius: 10px;
    border-color: grey;
    border: 2px solid #73AD21;
    background-color: grey;
}
#Left {
    font-size: 40px;
    margin-right: 30px;
    border-radius: 10px;
    border-color: grey;
    border: 2px solid #73AD21;
    background-color: grey;
}
#Right {
    font-size: 40px;
    margin-left: 30px;
    border-radius: 10px;
    border: 2px solid #73AD21;
    background-color: grey;
}

.big-btn {
    width: 90px;
    height: 70px;
}
#Up.active, #Down.active, #Left.active, #Right.active { background-color: black; }

#loader {
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    top: 0;
    
    background: rgba(0,0,0,0.8);
    z-index: 999;
    
    display: flex;
    flex-direction: column;
    justify-content: center;


}
#loader.disabled { display: none; }
#message.disabled { display: none; }
#message {
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    top: 0;
    
    z-index: 90;
    
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#nav-menu {
    position: absolute;
    z-index: 99;
    right: 0;
    left: 0;
    top: 0;
}

/* DropDown menu - Source: https://designmodo.com/demo/css3dropdownmenu/ */
.menu,
.menu ul,
.menu li,
.menu a {
	margin: 0 auto;
	padding: 0;
	border: none;
	outline: none;
    cursor: pointer;
}

/* Menu */
.menu {	
	height: 40px;
	width: auto;

	background: #4c4e5a;
	background: -webkit-linear-gradient(top, #4c4e5a 0%, #2c2d33 100%);
	background: -moz-linear-gradient(top, #4c4e5a 0%,#2c2d33 100%);
	background: -o-linear-gradient(top, #4c4e5a 0%,#2c2d33 100%);
	background: -ms-linear-gradient(top, #4c4e5a 0%,#2c2d33 100%);
	background: linear-gradient(top, #4c4e5a 0%,#2c2d33 100%);

	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
}

.menu li {
	position: relative;
	list-style: none;
	display: inline-block;
	height: 40px;
}

/* Links */

.menu li a {
	display: block;
	padding: 0 14px;
	margin: 6px 0;
	line-height: 28px;
	text-decoration: none;
	
	border-left: 1px solid #393942;
	border-right: 1px solid #4f5058;

	font-family: Helvetica, Arial, sans-serif;
	font-weight: bold;
	font-size: 13px;

	color: #f3f3f3;
	text-shadow: 1px 1px 1px rgba(0,0,0,.6);

	-webkit-transition: color .2s ease-in-out;
	-moz-transition: color .2s ease-in-out;
	-o-transition: color .2s ease-in-out;
	-ms-transition: color .2s ease-in-out;
	transition: color .2s ease-in-out;
}

.menu li:first-child a { border-left: none; }
.menu li:last-child a{ border-right: none; }

.menu li:hover > a { color: #8fde62; }

/* Sub Menu */

.menu ul {
	position: absolute;
	top: 40px;
	left: 0;

	opacity: 0;

	-webkit-transition: opacity .25s ease .1s;
	-moz-transition: opacity .25s ease .1s;
	-o-transition: opacity .25s ease .1s;
	-ms-transition: opacity .25s ease .1s;
	transition: opacity .25s ease .1s;
}

.menu li:hover > ul { opacity: 1; }

.menu ul li {
    display: block;
    
	height: 0;
	overflow: hidden;
	padding: 0;
    
    background: #1f2024;
    
    border: none;
	border-bottom: 1px solid #353539;

	-webkit-transition: height .25s ease .1s;
	-moz-transition: height .25s ease .1s;
	-o-transition: height .25s ease .1s;
	-ms-transition: height .25s ease .1s;
	transition: height .25s ease .1s;
}

.menu li:hover > ul li {
	height: 36px;
	overflow: visible;
	padding: 0;
}

.menu ul li a {
    border: none;
    width: auto;
    min-width: 90px;
    white-space: nowrap;
	padding: 4px 4px 4px 4px;
	margin: 0;
}

.menu ul li:last-child { border: none; }
.menu ul li:last-child {
    -webkit-border-radius: 0 0 5px 5px;
	-moz-border-radius: 0 0 5px 5px;
	border-radius: 0 0 5px 5px;
}

.menu ul li:only-child { border-bottom-left-radius: 0; }
.menu ul li ul {
    left: 100%;
    top: 0;
}
.powered-by-sfx-container{
    position: absolute;
    right: 0px;
    bottom: 0px;
    max-width: 200px
}
.sfx-logo{
    width: 100%;
    height: auto;
}

/* Progressbar */


.progressbarWrapper{
  width: 100%;
  margin: auto;
  height: 100px;
  position: absolute;
  bottom: 2%;
  text-align: right;
  z-index: 99;
  opacity: 0.25;
  transition: opacity .5s ease-out;
  -moz-transition: opacity .5s ease-out;
  -webkit-transition: opacity .5s ease-out;
  -o-transition: opacity .5s ease-out;
}
.progressbarWrapper:hover{
  opacity: 1;
}



.progressbar{
  border-radius: 3px;
  width: 100%;
  margin: auto;
  height: 15px;
  background-color: #e7e7e7;
  position: absolute;
  bottom: 2%;
  z-index: 99;
}
.numvalue{
  position: absolute;
  bottom: 30%;
  right: 3%;


}


.value{
  border-radius: 2px;
  position: absolute;
  left: 0;
  top: 0;
  background-color: #33afe7;
  width: 0%;
  height: 100%;
  z-index: 100;
}

.crash{
  width: 3px;
  height: 15px;
  background-color: red;
  z-index: 101;
  position: absolute;
}

.leftStreet{
  width: 3px;
  height: 15px;
  background-color: green;
  z-index: 102;
  position: absolute;
}
